/* Copyright (c) 2003, Oracle Corporation. All rights reserved. */

package oracle.portal.sample.v2.devguide.struts;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionMapping;
import javax.servlet.http.HttpServletRequest;

/**
 * A form bean used to store a customer's name and address.
 */
public class CustomerDetailsActionForm extends ActionForm 
{
    private String mName;
    private String mAddress;
    
    /**
     * Set the customer name.
     */
    public void setName(String name)
    {
        mName = name;
    }

    /**
     * Get the customer name.
     */
    public String getName()
    {
        return mName;
    }

    /**
     * Set the customer's address.
     */
    public void setAddress(String address)
    {
        mAddress = address;
    }

    /**
     * Get the customer's address.
     */
    public String getAddress()
    {
        return mAddress;
    }
}
